1. #1
    Sencha User
    Join Date
    Sep 2010
    Posts
    69
    Vote Rating
    0
    mboreback is on a distinguished road

      0  

    Default Is extjs 4.1 backward compatbale with extjs 4.0

    Is extjs 4.1 backward compatbale with extjs 4.0


    I like to move to extjs4 for my architect projects, and just like to understand if architect generated project will get problems.

  2. #2
    Sencha - Architect Dev Team Phil.Strong's Avatar
    Join Date
    Mar 2007
    Location
    Baltimore, MD
    Posts
    1,848
    Vote Rating
    57
    Phil.Strong is just really nice Phil.Strong is just really nice Phil.Strong is just really nice Phil.Strong is just really nice

      0  

    Default


    Ext JS 4.0 projects built with Architect can be converted to Ext JS 4.1 projects (coming w/ 2.1)

    Do Ext JS 4.1 projects work running on 4.0 ... not guaranteed. Note that minor revisions typically don't affect a lot of the API. In general though, I wouldn't revert back to a previous version unless you had to. Especially in the case of 4.1 vs 4.0 for the performance improvements alone.

    Hope this helps!
    Phil Strong
    @philstrong
    #SenchaArchitect
    Sencha Architect Development Team

  3. #3
    Sencha Premium Member
    Join Date
    May 2010
    Location
    Guatemala, Central America
    Posts
    1,261
    Vote Rating
    79
    ssamayoa is a jewel in the rough ssamayoa is a jewel in the rough ssamayoa is a jewel in the rough ssamayoa is a jewel in the rough

      0  

    Default


    Quote Originally Posted by Phil.Strong View Post
    Do Ext JS 4.1 projects work running on 4.0 ... not guaranteed.
    I think he is taking about the opposite: run 4.0 application with 4.1 framework.

    Regards.
    UI: Sencha Architect 3.x / ExtJS 4 & 5
    Server side: JEE / EJB 3.x / CDI / JPA 2.x/ JAX-RS / JasperReports
    Application Server: Glassfish / WildFly
    Databases: Oracle / DB2 / MySQL / Firebird

    If you like my answer please vote!

Thread Participants: 2